.wallpaper-map {
  max-width: 1088px;
  margin-left: auto;
  margin-right: auto;
}

.wallpaper-map__lists {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  align-content: space-between;
}

.wallpaper-map__anchor {
  position: relative;
  display: flex;
  height: 100%;
  background-color: #fff;
}
.maincontents .wallpaper-map__anchor {
  text-decoration: none;
}
.wallpaper-map__anchor::after {
  position: absolute;
  top: 0;
  left: 0;
  box-sizing: border-box;
  display: block;
  width: 100%;
  height: 100%;
  content: "";
  border: solid 2px #4b1e78;
  opacity: 0;
  transition: opacity 0.3s ease;
}

.wallpaper-map__anchor__fig {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 100%;
}

.wallpaper-map__anchor__image {
  display: flex;
  align-items: center;
  justify-content: center;
}
.wallpaper-map__anchor__image > img {
  -o-object-fit: contain;
     object-fit: contain;
  width: 100%;
  height: 100%;
}

.wallpaper-map__anchor__label {
  display: flex;
  align-items: center;
  padding-top: 0;
  font-size: 13px;
  line-height: 1.4;
}

.wallpaper-map__target {
  display: flex;
  align-items: center;
  padding-top: 20px;
  padding-bottom: 20px;
}
.wallpaper-map__target svg {
  -o-object-fit: contain;
     object-fit: contain;
  width: 100%;
  height: 100%;
}
.wallpaper-map__target svg > path {
  fill: transparent;
  stroke: #8c8c8c;
  stroke-dasharray: 0 0 1 2;
  stroke-miterlimit: 10;
  stroke-width: 1px;
  transition: all 0.3s ease;
}
.wallpaper-map__target svg > path.-current {
  fill: rgba(123, 71, 210, 0.6);
  stroke: none;
  -webkit-text-stroke-color: transparent;
}

.maincontents .wallpaper-map__carousel__item {
  text-decoration: none;
}

@media screen and (min-width: 768px) {
  .wallpaper-map {
    padding-left: 32px;
    padding-right: 32px;
  }
  .wallpaper-map__lists {
    -moz-column-gap: 1em;
         column-gap: 1em;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
  }
  .wallpaper-map__anchor {
    padding: 7px 11px;
  }
  .wallpaper-map__anchor::before {
    position: absolute;
    top: 0;
    left: 0;
    box-sizing: border-box;
    display: block;
    width: 100%;
    height: 100%;
    content: "";
    border: solid 1px #8c8c8c;
  }
  .wallpaper-map__anchor__fig {
    position: relative;
    row-gap: 6px;
  }
  .wallpaper-map__anchor__fig::before, .wallpaper-map__anchor__fig::after {
    position: absolute;
    display: block;
    content: "";
  }
  .wallpaper-map__anchor__fig::before {
    right: 0;
    bottom: 0;
    width: 23px;
    height: 23px;
    background-color: #ececec;
    border-radius: 50%;
  }
  .wallpaper-map__anchor__fig::after {
    right: 8px;
    bottom: 10px;
    width: 5px;
    height: 5px;
    border-right: solid 2px #8c8c8c;
    border-bottom: solid 2px #8c8c8c;
    rotate: 45deg;
  }
  .wallpaper-map__anchor__image {
    flex-grow: 1;
    max-height: 100px;
  }
  .wallpaper-map__anchor__label {
    min-height: 24px;
    padding-right: 24px;
  }
  .wallpaper-map__target {
    grid-area: 2/1/3/3;
    max-width: 970px;
    padding-top: 48px;
    padding-bottom: 0;
    margin-left: auto;
    margin-right: auto;
  }
  .wallpaper-map__carousel {
    display: none;
  }
}

@media screen and (min-width: 1040px) {
  .wallpaper-map__wrap {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 0 1em;
    gap: 0 1em;
  }
  .wallpaper-map__lists:nth-of-type(1) {
    grid-area: 1/1/2/2;
  }
  .wallpaper-map__lists:nth-of-type(2) {
    grid-area: 1/2/2/3;
  }
  [lang=en] .wallpaper-map__anchor {
    min-height: 180px;
  }
}

@media screen and (max-width: 1039px) {
  .wallpaper-map__wrap {
    display: flex;
    flex-direction: column;
  }
  .wallpaper-map__lists {
    max-width: 500px;
  }
  .wallpaper-map__lists:nth-of-type(odd) {
    order: -1;
  }
}

@media screen and (max-width: 767px) {
  * + .wallpaper-map__wrap {
    margin-top: 30px;
  }
  .wallpaper-map__lists {
    -moz-column-gap: 14px;
         column-gap: 14px;
    max-width: 100%;
  }
  .wallpaper-map__lists:nth-of-type(odd) {
    order: -1;
  }
  .wallpaper-map__anchor {
    padding: 10px 4px;
    pointer-events: none;
    opacity: 0.3;
  }
  .-thumbActive .wallpaper-map__anchor {
    opacity: 1;
  }
  .-thumbActive .wallpaper-map__anchor::after {
    opacity: 1;
  }
  .wallpaper-map__anchor__fig {
    row-gap: 8px;
    align-items: center;
  }
  .wallpaper-map__anchor__image {
    width: 93px;
    height: 81px;
  }
  .wallpaper-map__anchor__label {
    flex-grow: 1;
    font-size: 10px;
    text-align: center;
  }
  .wallpaper-map__carousel {
    padding-left: 34px;
    padding-right: 34px;
    padding-bottom: 3px;
  }
  * + .wallpaper-map__carousel {
    margin-top: 40px;
  }
  .wallpaper-map__carousel .swiper-button-prev,
.wallpaper-map__carousel .swiper-button-next {
    top: 0;
    width: 34px;
    height: 100%;
    margin-top: 0;
    color: #4b1e78;
    background-color: transparent;
  }
  .wallpaper-map__carousel .swiper-button-prev::after,
.wallpaper-map__carousel .swiper-button-next::after {
    font-size: 20px;
    font-weight: 700;
  }
  .wallpaper-map__carousel .swiper-button-prev:focus,
.wallpaper-map__carousel .swiper-button-next:focus {
    outline: auto;
  }
  .wallpaper-map__carousel .swiper-button-prev {
    left: 0;
    justify-content: flex-start;
    padding-left: 6px;
  }
  .wallpaper-map__carousel .swiper-button-next {
    right: 0;
    justify-content: flex-end;
    padding-right: 6px;
  }
  .wallpaper-map__carousel .swiper-slide {
    visibility: hidden;
  }
  .wallpaper-map__carousel .swiper-slide.swiper-slide-active {
    visibility: visible;
  }
  .wallpaper-map__carousel__item {
    display: flex;
    align-items: center;
    border: solid 2px #4b1e78;
    box-shadow: 3px 3px 0 rgba(160, 157, 153, 0.25);
  }
  .wallpaper-map__carousel__fig {
    position: relative;
    display: grid;
    width: 100%;
  }
  .wallpaper-map__carousel__fig::before, .wallpaper-map__carousel__fig::after {
    position: absolute;
    top: 0;
    bottom: 0;
    display: block;
    margin-top: auto;
    margin-bottom: auto;
    content: "";
  }
  .wallpaper-map__carousel__fig::before {
    right: 14px;
    width: 40px;
    height: 40px;
    background-color: #4b1e78;
    border-radius: 50%;
  }
  .wallpaper-map__carousel__fig::after {
    right: 29px;
    bottom: 2px;
    width: 7px;
    height: 7px;
    border-right: solid 2px #fff;
    border-bottom: solid 2px #fff;
    rotate: 45deg;
  }
  .wallpaper-map__carousel__image {
    grid-area: 1/-1;
    width: 100%;
    height: 100%;
  }
  .wallpaper-map__carousel__label {
    display: flex;
    grid-area: 1/-1;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    padding-top: 0;
    font-size: 16px;
    font-weight: 700;
    line-height: 1.5;
    color: #4b1e78;
    text-align: center;
  }
}

@media (hover: hover) and (pointer: fine) {
  .wallpaper-map__anchor {
    box-shadow: 5px 5px 0 rgba(160, 157, 153, 0.25);
    transition: all 0.3s ease;
  }
  .wallpaper-map__anchor:hover, .wallpaper-map__anchor:focus {
    box-shadow: 2px 2px 0 rgba(160, 157, 153, 0.25);
  }
  .wallpaper-map__anchor:hover::after, .wallpaper-map__anchor:focus::after {
    opacity: 1;
  }
  .wallpaper-map__anchor__fig::before, .wallpaper-map__anchor__fig::after {
    transition: all 0.3s ease;
  }
  .wallpaper-map__anchor:hover .wallpaper-map__anchor__fig::before, .wallpaper-map__anchor:focus .wallpaper-map__anchor__fig::before {
    background-color: #4b1e78;
  }
  .wallpaper-map__anchor:hover .wallpaper-map__anchor__fig::after, .wallpaper-map__anchor:focus .wallpaper-map__anchor__fig::after {
    border-color: #fff;
  }
}